# Zimly

A straightforward Android application designed for synchronizing your local media, such as photos and videos, with any S3-compatible storage solution, whether it's self-hosted using platforms like Minio, or Cloud Storage options like AWS S3.

Key Features:

* Android native with Material Design 3.
* Prioritizing safety, the app ensures no destructive actions are taken during synchronization.
* Preserves meta-data, including Exif and location data, to maintain the integrity of your media files.
* No reliance on local state, facilitating easy reinstallation and resynchronization with existing remote buckets.
* Ad-free and devoid of any tracking mechanisms, guaranteeing a clean user experience.

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/app.zimly.backup/)
[<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt="Get it on Google Play"
     height="80">](https://play.google.com/store/apps/details?id=io.zeitmaschine.zimzync)

Or download the latest APK from the [Releases Section](https://github.com/zimly/zimly-backup/releases/latest).

Visit [zimly.app](https://www.zimly.app)
